This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 152212 - postinstall script error...
postinstall script error...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-rootpassword (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-26 10:08 EST by Jef Spaleta
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-27 21:12:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jef Spaleta 2005-03-26 10:08:39 EST
Description of problem:
 rpm -q --scripts system-config-rootpassword
if [-x /usr/bin/gtk-update-icon-cache ]; then   <------ ERROR
  gtk-update-icon-cache /usr/share/icons/hicolor
fi
postuninstall scriptlet (using /bin/sh):
touch --no-create /usr/share/icons/hicolor
if [-x /usr/bin/gtk-update-icon-cache ]; then    <------ ERROR
  gtk-update-icon-cache /usr/share/icons/hicolor
fi


Need a space before -xif 
Should be: [ -x /usr/bin/gtk-update-icon-cache ]; then   


Version-Release number of selected component (if applicable):
system-config-rootpassword-1.1.6-2
Comment 1 Robert Scheck 2005-03-26 20:25:15 EST
And do a ">> /dev/null" to avoid output of gtk-update-icon-cache...

Note You need to log in before you can comment on or make changes to this bug.